/* SofChat (Web Chat program SHM version)      */
/* Copyright(c) 1996-1997 Y.YONEYAMA           */
/*                                             */
/* messages.j : JIS code                       */

#include "sofchat.h"

#define MSG_JA 0
#define MSG_EN 1

extern char *messages[][2];
extern char *schatinfo[2];
extern int LANG;
extern int CONV;
extern LINK def_links[];

#define M_TITLE         0
#define M_SOFTWARE      1
#define M_MEMBERS       2
#define M_TOPIC         3
#define M_USAGE         4
#define M_NAME          5
#define M_ADDRESS       6
#define M_MESSAGE       7
#define M_CLEAR         8
#define M_JOIN          9
#define M_LEAVE        10
#define M_RELOAD       11
#define M_LINK         12
#define M_INITIALIZED  13
#define M_GOODBYE      14
#define M_LOGINTIME    15
#define M_LOGOUTTIME   16
#define M_CANNOTUSE    17
#define M_INVALIDPASS  18
#define M_CANNOTSEND   19
#define M_COMMANDFAIL  20
#define M_NOTSUPPORTED 21
#define M_BBS          22
#define M_BBSWRITE     23
#define M_MODTITLE     24
#define M_MODBGCOLOR   25
#define M_MODTXCOLOR   26
#define M_MODDNCOLOR   27
#define M_MODDTCOLOR   28
#define M_MODLICOLOR   29
#define M_MODIFY       30
#define M_UNDO         31
#define M_INITIALIZE   32
#define M_UNREADBBS    33
#define M_DELETE       34
#define M_AUTOCLEAR    35
#define M_REEDIT       36
#define M_CANNOTWRITE  37
#define M_SECURE       38

#define MSG(x)          messages[x][LANG]

int roma2kana(
#if NeedFunctionPrototypes
char *dst,
char *src,
int max
#endif
);

int kana2roma(
#if NeedFunctionPrototypes
char *dst,
char *src,
int max
#endif
);

